<template>
    <v-container fluid>
        <label>
            Input:
            <input v-model="code" @input="Regen" style="border: 1px solid black">
        </label><br>
        <canvas id="mc" width="200px" height="200px">
        </canvas>
    </v-container>
</template>

<style lang='scss' scoped>

</style>

<script lang='ts'>
    import {Component, Vue} from 'vue-property-decorator';
    import QRCode from 'qrcode'

    const props = {};

    const Base = Vue.extend({props});

    @Component({props})
    export default class MainHome extends Base {
        code: string = "";

        async Regen() {
            const canvas = document.getElementById('mc') as HTMLCanvasElement;
            const ctx = canvas?.getContext("2d");
            const png = await QRCode.toDataURL(this.code);

            if (ctx != null) {
                ctx.clearRect(0, 0, 200, 200);
                ctx.font = "20px Arial";
                ctx.textBaseline = 'middle';
                ctx.textAlign = 'center';
                ctx.fillText(this.code, 100, 180);
                const img = new Image();
                img.onload = function () {
                    const w = img.width / 2;
                    const h = img.height / 2;
                    ctx.drawImage(img, 100 - w, 100 - h);
                }
                img.src = png;

            }

        }

    }
</script>
